package com.bocloud.cmp.model.azure.db;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbConfigurationModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/4 17:41
 */
public class DbConfigurationModel {

    private String uuid;
    private String name;
    private String type;
    private String ConfigurationValue;//配置的值。
    private String description;//配置说明
    private String defaultValue;//配置的默认值。
    private String dataType;//配置的数据类型。
    private String allowedValues;//允许的配置值。
    private String source;//配置的源

    private String databaseServerUuid;
    //用于创建和删除时使用
    private String databaseServerName;
    private String resourceGroupName;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getConfigurationValue() {
        return ConfigurationValue;
    }

    public void setConfigurationValue(String configurationValue) {
        ConfigurationValue = configurationValue;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getAllowedValues() {
        return allowedValues;
    }

    public void setAllowedValues(String allowedValues) {
        this.allowedValues = allowedValues;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getDatabaseServerUuid() {
        return databaseServerUuid;
    }

    public void setDatabaseServerUuid(String databaseServerUuid) {
        this.databaseServerUuid = databaseServerUuid;
    }

    public String getDatabaseServerName() {
        return databaseServerName;
    }

    public void setDatabaseServerName(String databaseServerName) {
        this.databaseServerName = databaseServerName;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }
}